#!/usr/bin/perl
# $Id: buildinfo.perl,v 1.2 2007/10/12 19:07:52 nasmaker Exp nasmaker $

use strict;

print STDOUT "HP Media Vault System Software\n";
if (-d "buildinfo") {
	print STDOUT "Version: " . `cat buildinfo/base.txt | tr -d '\n'` . "-" . `cat buildinfo/tag.txt | tr -d '\n'` . "." . `cat buildinfo/build.txt|tr -d '\n'` . "\n";
} else {
	print STDOUT "Version: 1.3.5.9\n";
}

if (-f "buildinfo/source.txt") {
	print STDOUT "Source Tag: " . `cat buildinfo/source.txt` . "\n";
} elsif (`p4 info` =~ m/\nClient root\: /) {
	print STDOUT "Source Tag: P-" . `perl ./show_perforce_info.perl` . "\n";
} else {
	print STDOUT "unknown\n";
}

my $date = `date`;
$date =~ s/\n//g;
print STDOUT "Build date: $date\n";
my $whoami = `whoami`;
$whoami =~ s/\n//g;
my $hostname = `hostname`;
$hostname =~ s/\n//g;
print STDOUT "Build by: $whoami\@$hostname\n";



